### A free/open-source library for quantitative finance

Public Member Functions
G2SwaptionEngine Class Reference
Swaption engines

Swaption priced by means of the Black formula More...

`#include <ql/pricingengines/swaption/g2swaptionengine.hpp>`

Inheritance diagram for G2SwaptionEngine:
[legend]

List of all members.

## Public Member Functions

| G2SwaptionEngine (const boost::shared_ptr< G2 > &model, Real range, Size intervals)
void | calculate () const

## Detailed Description

Swaption priced by means of the Black formula

Warning:
  The engine assumes that the exercise date equals the start date of the passed swap.

Examples:
  BermudanSwaption.cpp.